=== debian/changelog ===
pegjs (0.7.0-1) unstable; urgency=low

  * Initial upload (Closes: #720949)

 -- Daniel Pocock <daniel@pocock.com.au>  Mon, 26 Aug 2013 16:13:32 +0200
