=== debian/control ===
Source: pegjs
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), node-uglify
Standards-Version: 3.9.4
Homepage: http://pegjs.majda.cz
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/pegjs.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/pegjs.git

Package: node-peg
Architecture: all
Depends: ${misc:Depends}, nodejs (>= 0.6.19~dfsg1-3)
Provides: pegjs
Description: JavaScript parser generator
 PEG.js is a simple parser generator for JavaScript that produces
 fast parsers with excellent error reporting. You can use it to process
 complex data or computer languages and build transformers, interpreters,
 compilers and other tools easily.
