=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=.

override_dh_auto_build:
	make dist

# no make install support
override_dh_auto_install:
	true
