=== debian/watch ===
version=3
https://github.com/dmajda/pegjs/tags .*/archive/v?(\d[\d\.]+).tar.gz
