## pegjs 0.10.0+~0.10.3

=== debian/changelog ===
pegjs (0.10.0+~0.10.3-2) unstable; urgency=medium

  * Fix bad Provides field

 -- Yadd <yadd@debian.org>  Sun, 12 Dec 2021 18:58:54 +0100

pegjs (0.10.0+~0.10.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4
  * Apply multi-arch hints. + node-pegjs: Add Multi-Arch: foreign
  * Bump debhelper from old 12 to 13
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>
  * Update standards version to 4.5.1, no changes needed

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Embed typescript declarations and repack
  * Update lintian overrides
  * Update nodejs dependency to nodejs:any

 -- Yadd <yadd@debian.org>  Sat, 11 Dec 2021 08:29:36 +0100

pegjs (0.10.0-3) unstable; urgency=medium

  * Restore /usr/bin/pegjs (Closes: #959615)
  * Remove nodejs from dependencies and add javascript-common as recommended
    dependency (Closes: #722488)

 -- Xavier Guimard <yadd@debian.org>  Sun, 03 May 2020 16:01:16 +0200

pegjs (0.10.0-2) unstable; urgency=medium

  * Fix dependencies (Closes: #956507)

 -- Xavier Guimard <yadd@debian.org>  Sun, 12 Apr 2020 10:31:49 +0200
