=== debian/control ===
Source: pegjs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-browserify-lite
 , uglifyjs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/pegjs
Vcs-Git: https://salsa.debian.org/js-team/pegjs.git
Homepage: https://github.com/dmajda/pegjs
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-pegjs
Architecture: all
Depends: ${misc:Depends}
 , nodejs:any
Recommends: javascript-common
Provides: ${nodejs:Provides}
 , libjs-pegjs
 , pegjs
Multi-Arch: foreign
Description: JavaScript parser generator
 PEG.js is a simple parser generator for JavaScript that produces
 fast parsers with excellent error reporting. You can use it to process
 complex data or computer languages and build transformers, interpreters,
 compilers and other tools easily.
