=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir browser
	browserify-lite ./lib/peg.js --outfile browser/parser.js
	uglifyjs browser/parser.js > browser/parser.min.js
