=== debian/watch ===
version=4
https://github.com/dmajda/pegjs/tags .*/archive/refs/tags/v?(\d[\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-pegjs,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-pegjs-$1/" \
 https://registry.npmjs.org/@types/pegjs https://registry.npmjs.org/@types/pegjs/-/pegjs-([\d\.]+)@ARCHIVE_EXT@ group
